petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESLineSearchGetOrder

Gets the line search approximation order.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetOrder(SNESLineSearch linesearch,PetscInt *order)

### Input Parameters

linesearch -linesearch context

### Output Parameters

order -The order

### Possible Values for order

| 1 or SNES_LINESEARCH_ORDER_LINEAR | - linear order
| 2 or SNES_LINESEARCH_ORDER_QUADRATIC | - quadratic order
| 3 or SNES_LINESEARCH_ORDER_CUBIC | - cubic order

### See Also

SNESLineSearchSetOrder()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages